# Publised resources Default Settings

## Get

> Retrieve default settings used to configure published resources for a specific Site

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubDefaultSettings":{"get":{"tags":["3-Publishing//Default settings"],"summary":"Get","description":"Retrieve default settings used to configure published resources for a specific Site","operationId":"03bc3a90-301c-4b7e-bf9f-50121a56cbf7","parameters":[{"name":"siteId","in":"query","description":"Site ID from which to retrieve the defaults","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PubDefaultSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PubDefaultSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site.</para>","format":"int32"},"startPath":{"type":"string","description":"<para type=\"description\">Starting path of the settings.</para>","nullable":true},"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Whether the 'Create shortcut on Desktop' option is enabled or not.</para>"},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Whether the 'Create shortcut in Start Folder' option is enabled or not.</para>"},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Whether the 'Create shortcut in Auto Start Folder' option is enabled or not.</para>"},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Whether the 'Replicate Shortcut Settings' option is enabled or not.</para>"},"replicateDisplaySettings":{"type":"boolean","description":"<para type=\"description\">Whether the 'Replicate Display Settings' option is enabled or not.</para>"},"waitForPrinters":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Wait until all RAS Universal Printers are redirected before showing the application' is enabled or not.</para>"},"startMaximized":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Start Maximized' is enabled or not.</para>"},"startFullscreen":{"type":"boolean","description":"<para type=\"description\">Whether the option 'StartFullscreen' is enabled or not.</para>"},"waitForPrintersTimeout":{"type":"integer","description":"<para type=\"description\">Printer redirection timeout (in seconds). Works together with the WaitForPrinters parameter.</para>","format":"int32"},"colorDepth":{"$ref":"#/components/schemas/ColorDepth"},"disableSessionSharing":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Disable Session Sharing' is enabled or not.</para>"},"oneInstancePerUser":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Allow users to start only one instance of the application' is enabled or not.</para>"},"conCurrentLicenses":{"type":"integer","description":"<para type=\"description\">Specifies the number of concurrent licenses (the 'Concurrent licenses' option).</para>","format":"int32"},"licenseLimitNotify":{"$ref":"#/components/schemas/LimitNotify"},"replicateLicenseSettings":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Replicate license settings' is enabled or not.</para>"},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Whether the option 'Replicate Maintenance' is enabled or not.</para>"},"maintenanceMessages":{"$ref":"#/components/schemas/MaintenanceMessages"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains default settings for published resources</para>\r\n<para type=\"description\"></para>"},"ColorDepth":{"enum":[["0 = Colors8Bit","1 = Colors15Bit","2 = Colors16Bit","3 = Colors24Bit","4 = Colors32Bit","5 = ClientSpecified"]],"type":"string","description":"<para type=\"synopsis\">Color Depth</para>\r\n<para type=\"description\"></para>","format":"int32"},"LimitNotify":{"enum":[["0 = WarnUserAndNoStart","1 = WarnUserAndStart","2 = NotifyAdminAndStart","3 = NotifyUserAdminAndStart","4 = NotifyUserAdminAndNoStart"]],"type":"string","description":"<para type=\"synopsis\">Defines actions to perform when the license limit is exceeded.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"MaintenanceMessages":{"type":"object","properties":{"maintenanceMessage_en_US":{"type":"string","description":"<para type=\"description\">Maintenance message in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"type":"string","description":"<para type=\"description\">Maintenance message in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"type":"string","description":"<para type=\"description\">Maintenance message in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"type":"string","description":"<para type=\"description\">Maintenance message in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"type":"string","description":"<para type=\"description\">Maintenance message in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"type":"string","description":"<para type=\"description\">Maintenance message in Portuguese.</para>","nullable":true},"maintenanceMessage_nl_NL":{"type":"string","description":"<para type=\"description\">Maintenance message in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"type":"string","description":"<para type=\"description\">Maintenance message in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"type":"string","description":"<para type=\"description\">Maintenance message in Korean.</para>","nullable":true},"maintenanceMessage_de_DE":{"type":"string","description":"<para type=\"description\">Maintenance message in German.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Contains a set of maintenance messages in various languages</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify default settings used to configure published resources for a specific Site

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubDefaultSettings":{"put":{"tags":["3-Publishing//Default settings"],"summary":"Update","description":"Modify default settings used to configure published resources for a specific Site","operationId":"f2607ae4-9ff3-4963-83a8-409ee1e0e05f","parameters":[{"name":"siteId","in":"query","description":"Site ID from which to update the defaults","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Publishing defaults configuration","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPubDefaultSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPubDefaultSettings":{"type":"object","properties":{"createShortcutOnDesktop":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Create shortcut on Desktop' option.</para>","nullable":true},"replicateShortcutSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Replicate settings' option.</para>","nullable":true},"createShortcutInStartFolder":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Create shortcut in Start folder' option.</para>","nullable":true},"createShortcutInStartUpFolder":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Create shortcut in Auto Start folder' option.</para>","nullable":true},"startPath":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies a path in the Start folder.</para>","nullable":true},"replicateDisplaySettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Replicate settings option'. This will replicate display settings to all sites.</para>","nullable":true},"startMaximized":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Start the application as maximized when using mobile clients\" option.</para>","nullable":true},"startFullscreen":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Start in fullscreen mode for WYSE ThinOS clients\" option.</para>","nullable":true},"waitForPrinters":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Wait until all RAS Universal Printers are redirected before showing the application\" option.</para>","nullable":true},"waitForPrintersTimeout":{"type":"integer","description":"<para type=\"description\">Printer redirection timeout (in seconds). Works together with the WaitForPrinters parameter.</para>","format":"int32","nullable":true},"colorDepth":{"$ref":"#/components/schemas/ColorDepth"},"replicateLicenseSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Replicate settings' option. This will replicate license settings to all sites.</para>","nullable":true},"disableSessionSharing":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Disable session sharing' option.</para>","nullable":true},"oneInstancePerUser":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Allow users to start only one instance of the application' option.</para>","nullable":true},"conCurrentLicenses":{"type":"integer","description":"<para type=\"description\">Specifies the number of concurrent licenses (the 'Concurrent licenses' option).</para>","format":"int32","nullable":true},"licenseLimitNotify":{"$ref":"#/components/schemas/LimitNotify"},"maintenanceMessage_en_US":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in English.</para>","nullable":true},"maintenanceMessage_ja_JP":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Japanese.</para>","nullable":true},"maintenanceMessage_fr_FR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in French.</para>","nullable":true},"maintenanceMessage_es_ES":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Spanish.</para>","nullable":true},"maintenanceMessage_it_IT":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Italian.</para>","nullable":true},"maintenanceMessage_pt_BR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Portuguese.</para>","nullable":true},"maintenanceMessage_de_DE":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in German.</para>","nullable":true},"maintenanceMessage_nl_NL":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Dutch.</para>","nullable":true},"maintenanceMessage_zh_TW":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Traditional).</para>","nullable":true},"maintenanceMessage_zh_CN":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Chinese (Simplified).</para>","nullable":true},"maintenanceMessage_ko_KR":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Maintenance message for the published resource in Korean.</para>","nullable":true},"replicateMaintenance":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Replicate Maintenance' option.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update default settings of published resources</para>\r\n<para type=\"description\"></para>"},"ColorDepth":{"enum":[["0 = Colors8Bit","1 = Colors15Bit","2 = Colors16Bit","3 = Colors24Bit","4 = Colors32Bit","5 = ClientSpecified"]],"type":"string","description":"<para type=\"synopsis\">Color Depth</para>\r\n<para type=\"description\"></para>","format":"int32"},"LimitNotify":{"enum":[["0 = WarnUserAndNoStart","1 = WarnUserAndStart","2 = NotifyAdminAndStart","3 = NotifyUserAdminAndStart","4 = NotifyUserAdminAndNoStart"]],"type":"string","description":"<para type=\"synopsis\">Defines actions to perform when the license limit is exceeded.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/publised-resources-default-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
